package eu.eudat.logic.managers;

import eu.eudat.data.entities.DataRepository;
import eu.eudat.logic.services.ApiContext;
import eu.eudat.models.data.security.Principal;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * Created by ikalyvas on 9/3/2018.
 */
@Component
public class DataRepositoryManager {
    private ApiContext apiContext;

    @Autowired
    public DataRepositoryManager(ApiContext apiContext) {
        this.apiContext = apiContext;
    }

    public DataRepository create(eu.eudat.models.data.datarepository.DataRepositoryModel dataRepositoryModel, Principal principal) throws Exception {
        DataRepository dataRepository = dataRepositoryModel.toDataModel();
        dataRepository.getCreationUser().setId(principal.getId());
        return apiContext.getOperationsContext().getDatabaseRepository().getDataRepositoryDao().createOrUpdate(dataRepository);
    }
}
